_type: export
__export_format: 4
__export_date: '2025-08-26T00:00:00.000Z'
__export_source: ChatGPT
resources:
- _id: wrk_bb7c27fe76e6437ab50100fa
  _type: workspace
  name: Vulnerability Vines AI API
  scope: collection
- _id: env_27d5ed7e5b1941708da2d7d5
  _type: environment
  parentId: wrk_bb7c27fe76e6437ab50100fa
  name: Base Env
  data:
    BASE: https://vines.rosebird.org
    VINES_TOKEN: ''
    SCAN_ID: ''
- _id: req_197954e412c44be8943d7c53
  _type: request
  parentId: wrk_bb7c27fe76e6437ab50100fa
  name: List Reports
  method: GET
  url: '{{ _.BASE }}/api/v1/reports?limit=10'
  body: {}
  headers:
  - name: Authorization
    value: Bearer {{ _.VINES_TOKEN }}
- _id: req_7c9d9b3b942140d2845fa287
  _type: request
  parentId: wrk_bb7c27fe76e6437ab50100fa
  name: Start Scan
  method: POST
  url: '{{ _.BASE }}/api/v1/scans'
  body:
    mimeType: application/json
    text: '{"target": "https://example.com", "scan_type": "both"}'
  headers:
  - name: Authorization
    value: Bearer {{ _.VINES_TOKEN }}
  - name: Content-Type
    value: application/json
- _id: req_024296cb53da4b83b1bd379b
  _type: request
  parentId: wrk_bb7c27fe76e6437ab50100fa
  name: Scan Status
  method: GET
  url: '{{ _.BASE }}/api/v1/scan/{{ _.SCAN_ID }}/status'
  body: {}
  headers:
  - name: Authorization
    value: Bearer {{ _.VINES_TOKEN }}
- _id: req_13ebc071d8b84a44ae610191
  _type: request
  parentId: wrk_bb7c27fe76e6437ab50100fa
  name: Report JSON
  method: GET
  url: '{{ _.BASE }}/api/v1/report/{{ _.SCAN_ID }}/json'
  body: {}
  headers:
  - name: Authorization
    value: Bearer {{ _.VINES_TOKEN }}
- _id: req_ba795f86f65844e28b186e1d
  _type: request
  parentId: wrk_bb7c27fe76e6437ab50100fa
  name: Report PDF
  method: GET
  url: '{{ _.BASE }}/api/v1/report/{{ _.SCAN_ID }}/pdf'
  body: {}
  headers:
  - name: Authorization
    value: Bearer {{ _.VINES_TOKEN }}
- _id: req_9d61d3817f064a1ab373ab34
  _type: request
  parentId: wrk_bb7c27fe76e6437ab50100fa
  name: Latest KPIs
  method: GET
  url: '{{ _.BASE }}/api/v1/kpi/latest?limit=1'
  body: {}
  headers:
  - name: Authorization
    value: Bearer {{ _.VINES_TOKEN }}
- _id: req_fdfc1477295a4464aed30eee
  _type: request
  parentId: wrk_bb7c27fe76e6437ab50100fa
  name: Gate (Pass/Fail)
  method: GET
  url: '{{ _.BASE }}/api/v1/scan/{{ _.SCAN_ID }}/gate?max_critical=0&max_cvss=8.9'
  body: {}
  headers:
  - name: Authorization
    value: Bearer {{ _.VINES_TOKEN }}
